import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileChunkSelectObjectSchema as CloudFileChunkSelectObjectSchema } from './CloudFileChunkSelect.schema';
import { CloudFileChunkIncludeObjectSchema as CloudFileChunkIncludeObjectSchema } from './CloudFileChunkInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => CloudFileChunkSelectObjectSchema).optional(),
  include: z.lazy(() => CloudFileChunkIncludeObjectSchema).optional()
}).strict();
export const CloudFileChunkArgsObjectSchema = makeSchema();
export const CloudFileChunkArgsObjectZodSchema = makeSchema();
